commit:     6b8f7ce9cea01ed78c0d1213698501d9962969bc
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 17:47:16 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 17:47:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b8f7ce9

app-misc/regex-markup: add -std=gnu89 to CFLAGS to restore pre-GCC5 semantics

Gentoo-Bug: 570960
Also bump ebuild to EAPI=6.

Package-Manager: portage-2.2.27

 .../regex-markup/regex-markup-0.10.0-r1.ebuild     | 37 ++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/app-misc/regex-markup/regex-markup-0.10.0-r1.ebuild 
b/app-misc/regex-markup/regex-markup-0.10.0-r1.ebuild
new file mode 100644
index 0000000..f0f186a
--- /dev/null
+++ b/app-misc/regex-markup/regex-markup-0.10.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit flag-o-matic
+
+DESCRIPTION="A tool to color syslog files as well"
+HOMEPAGE="http://www.nongnu.org/regex-markup/";
+SRC_URI="http://savannah.nongnu.org/download/regex-markup/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="examples nls"
+
+PATCHES=(
+       "${FILESDIR}/${P}-locale.patch"
+)
+
+src_configure() {
+       # fix #570960 by restoring pre-GCC5 inline semantics
+       append-cflags -std=gnu89
+
+       econf \
+               --enable-largefile \
+               $(use_enable nls)
+}
+
+src_install() {
+       default
+       if use examples; then
+               cd examples || die
+               emake -f Makefile
+       fi
+}

Reply via email to